Säkerhetsbulletin från Debian

DSA-4202-1 curl -- säkerhetsuppdatering

Rapporterat den:
2018-05-16
Berörda paket:
curl
Sårbara:
Ja
Referenser i säkerhetsdatabaser:
I Debians felrapporteringssystem: Fel 898856.
I Mitres CVE-förteckning: CVE-2018-1000301.
Ytterligare information:

OSS-fuzz, under assistens av Max Dymond, upptäckte att cURL, ett URL-överföringsbibliotek kunde luras att läsa data utanför slutet på en heap-baserad buffer vid tolkning av ogiltiga huvuden i ett RTSP-svar.

För den gamla stabila utgåvan (Jessie) har detta problem rättats i version 7.38.0-4+deb8u11.

För den stabila utgåvan (Stretch) har detta problem rättats i version 7.52.1-5+deb9u6.

Vi rekommenderar att ni uppgraderar era curl-paket.

För detaljerad säkerhetsstatus om curl vänligen se dess säkerhetsspårare på https://security-tracker.debian.org/tracker/curl